Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# See https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers for
# the nodejs-specific packaging guidelines.

# See https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers#Automatic_Requires_and_Provides
# (required for EPEL compatibility)


%global npm_name decimal.js
%global enable_tests 1

Name:		nodejs-decimal-js
Version:	10.1.1
Release:	alt1_1
Summary:	A library for arbitrary-precision arithmetic

License:	MIT
URL:		https://github.com/MikeMcl/decimal.js/
Source0:	http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
BuildArch:	noarch
BuildRequires:	rpm-build-nodejs node-devel dos2unix
Source44: import.info

%description
A JavaScript library for arbitrary-precision decimal and non-decimal arithmetic.

%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
dos2unix README.md CHANGELOG.md

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr package.json decimal.d.ts decimal.js decimal.min.js decimal.mjs \
       %{buildroot}%{nodejs_sitelib}/%{npm_name}
%nodejs_symlink_deps

%check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
  %__nodejs test/test.js
%else
  echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md CHANGELOG.md doc/API.html
%doc --no-dereference LICENCE.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 10.1.1-alt1_1
- new version

